<template>
  <div class="big-banner">
    <h6 class="big-banner__subheader">
      {{ subheader }}
    </h6>
    <h3 class="big-banner__header">
      {{ header }}
    </h3>
    <register-btn :name="btnName"></register-btn>
    <!--        <img src="" alt="" class="big-banner__img">-->
    <div class="big-banner__illustration">
    
    </div>
  </div>
</template>

<script>
    import RegisterBtn from "../RegisterBtn";

    export default {
        name: "MainBanner",
        props: ['header', 'subheader', 'btn-name'],
        components: {RegisterBtn}
    }
</script>

<style lang="sass" scoped>
  .big-banner
    position: relative
    border-radius: rem(18)
    overflow: hidden
    text-align: left
    padding: 10% 7%
    background: linear-gradient(90deg, #0060f1 0%, #0060d9 70%)
    /*background: #0060f1*/
    grid-area: 1 / 1 / 3 / 3
    
    .btn--ghost
      position: relative
      z-index: 1
    
    &__header
      position: relative
      z-index: 1
      padding-bottom: 8%
      font-size: rem(46)
      max-width: 75%
      line-height: rem(55)
      font-family: $Avenir
      color: $whiteText
      font-weight: 700
      margin-bottom: rem(35)
    
    &__subheader
      position: relative
      z-index: 1
      text-transform: uppercase
      color: $whiteText
      font-size: rem(12)
      line-height: rem(24)
      font-weight: 500
      letter-spacing: rem(1.8)
      opacity: 0.6
      min-height: rem(26)
      max-width: 70%
      margin-bottom: rem(15)
      
      &:before
        content: ''
        float: left
        display: inline-block
        height: rem(26)
        width: rem(26)
        margin-right: rem(18)
        background-image: url("../../assets/img/svg/main/gift.svg")
        background-size: cover
        background-repeat: no-repeat
    
    &__illustration
      position: absolute
      display: block
      width: 100%
      height: 200%
      left: 10%
      top: 0
      z-index: 0
      background-color: rgba(0, 215, 244, 0.1)
      -webkit-border-radius: 100%
      -moz-border-radius: 100%
      border-radius: 100%
      
      &:after
        content: ''
        position: absolute
        display: block
        width: 100%
        height: 100%
        left: 0
        top: 30%
        z-index: 0
        background-color: rgba(0, 215, 244, 0.1)
        -webkit-border-radius: 100%
        -moz-border-radius: 100%
        border-radius: 100%
      
      &:before
        content: ''
        position: absolute
        display: block
        width: 150%
        height: 100%
        left: 15%
        top: -20%
        z-index: 0
        background-color: rgba(0, 215, 244, 0.1)
        -webkit-border-radius: 100%
        -moz-border-radius: 100%
        border-radius: 100%


</style>